﻿using System.Windows.Controls;
using System.Windows.Data;
using Telerik.Windows.Controls;
using System.Windows;
using RibbonBarDataBinding.ViewModels;

namespace RibbonBarDataBinding
{
	public partial class MainPage : UserControl
	{
		public MainPage()
		{
			InitializeComponent();
			this.Loaded += (_, __) =>
			{
				Dispatcher.BeginInvoke(() =>
				((MainViewModel)DataContext).SelectedTab = ((MainViewModel)DataContext).Tabs[1]);
			};
			
		}

		private void ribbonBar1_PreviewSelectedTabChanged(object sender, Telerik.Windows.RadRoutedEventArgs e)
		{
			if ((e.Source as RadRibbonBar).SelectedTab != null && ((e.Source as RadRibbonBar).SelectedTab.DataContext as TabViewModel)!= null)
				((e.Source as RadRibbonBar).SelectedTab.DataContext as TabViewModel).IsSelected = true;
		}

		private void Button_Click(object sender, RoutedEventArgs e)
		{
			this.LayoutRoot.Visibility = System.Windows.Visibility.Visible;
		}
	}

	public class RibbonTabConverter : DependencyObject, IValueConverter
	{
		public RadRibbonBar RibbonBar
		{
			get { return (RadRibbonBar)GetValue(RibbonBarProperty); }
			set { SetValue(RibbonBarProperty, value); }
		}

		public static readonly DependencyProperty RibbonBarProperty =
			DependencyProperty.Register("RibbonBar", typeof(RadRibbonBar), typeof(RibbonTabConverter), null);

		public object Convert(object value, System.Type targetType, object parameter, System.Globalization.CultureInfo culture)
		{
			if (RibbonBar != null)
				return RibbonBar.ItemContainerGenerator.ContainerFromItem(value);

			return null;
		}

		public object ConvertBack(object value, System.Type targetType, object parameter, System.Globalization.CultureInfo culture)
		{
			if (RibbonBar != null)
				return RibbonBar.ItemContainerGenerator.ItemFromContainer(value as DependencyObject);

			return null;
		}
	}
}
