using System.Collections.ObjectModel;
using GalaSoft.MvvmLight;

namespace RibbonBarDataBinding.ViewModels
{
    public class GroupViewModel : ViewModelBase
    {
        private string text;

        public GroupViewModel()
        {
            Buttons = new ObservableCollection<ButtonViewModel>();
        }

        public ObservableCollection<ButtonViewModel> Buttons { get; private set; }

        /// <summary>
        ///     Gets or sets Text.
        /// </summary>
        public string Text
        {
            get
            {
                return this.text;
            }
            set
            {
                if (this.text != value)
                {
                    this.text = value;
                    this.RaisePropertyChanged("Text");
                }
            }
        }  
    }
}
