using GalaSoft.MvvmLight;
using System.Collections.ObjectModel;

namespace RibbonBarDataBinding.ViewModels
{
    public class TabViewModel : ViewModelBase
    {
        private bool isSelected;
        private string text;

        public TabViewModel()
        {
			Groups = new ObservableCollection<GroupViewModel>();
        }

        public ObservableCollection<GroupViewModel> Groups { get; private set; }

        public bool IsSelected
        {
            get
            {
				return this.isSelected;
            }
            set
            {
				if (this.isSelected != value)
                {
					this.isSelected = value;
                    this.RaisePropertyChanged("IsSelected");
                }
            }
        }

        public string Text
        {
            get
            {
                return this.text;
            }
            set
            {
                if (this.text != value)
                {
                    this.text = value;
                    this.RaisePropertyChanged("Text");
                }
            }
        }
    }
}
